//
// DONE
//
// Enums.m
// WTFeedbackViewDemo   1.0
//
// Created by Wagner Truppel on 2009-10-08.
// Copyright 2009 Wagner Truppel (jrcapab@gmail.com). All rights reserved.
//
// Redistribution and use in binary and source forms, with or without
// modification, are permitted for any project, commercial or otherwise,
// provided that the following conditions are met:
//
// Redistributions in binary form must display the copyright notice in the
// About view, website, and/or documentation.
//
// Redistributions of source code must retain the copyright notice, this
// list of conditions, and the following disclaimer.
//
// THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THIS SOFTWARE.

// ========================================================================= //
                  #pragma mark enums, structs, and typedefs
// ========================================================================= //

typedef enum enSection
{
    kSecSimpleActivity = 0,

    kSecBezelActivity,
    kSecBezelProgress,
    kSecBezelFlexible,

    kSecKeyboardActivity,
    kSecKeyboardProgress,
    kSecKeyboardFlexible,

    kSecFunkyFeedbackView,

    NUM_SECTIONS

} Section;

// ========================================================================= //

typedef enum enSecSimpleActivityRow
{
    kSecSimpleActivityVFV = 0,
    kSecSimpleActivityVFV_WT,

    NUM_SEC_SIMPLE_ACTIVITY_ROWS

} SecSimpleActivityRow;

// ========================================================================= //

typedef enum enSecBezelActivityRow
{
    kSecBezelActivityVFV = 0,
    kSecBezelActivityVFV_WT,

    NUM_SEC_BEZEL_ACTIVITY_ROWS

} SecBezelActivityRow;

// ========================================================================= //

typedef enum enSecBezelProgressRow
{
    kSecBezelProgressVFV = 0,
    kSecBezelProgressVFV_WT,

    NUM_SEC_BEZEL_PROGRESS_ROWS

} SecBezelProgressRow;

// ========================================================================= //

typedef enum enSecBezelFlexibleRow
{
    kSecBezelFlexibleVFV = 0,
    kSecBezelFlexibleVFV_WT,

    NUM_SEC_BEZEL_FLEXIBLE_ROWS

} SecBezelFlexibleRow;

// ========================================================================= //

typedef enum enSecKeyboardActivityRow
{
    kSecKeyboardActivityVFV = 0,
    kSecKeyboardActivityVFV_WT,

    NUM_SEC_KEYBOARD_ACTIVITY_ROWS

} SecKeyboardActivityRow;

// ========================================================================= //

typedef enum enSecKeyboardProgressRow
{
    kSecKeyboardProgressVFV = 0,
    kSecKeyboardProgressVFV_WT,

    NUM_SEC_KEYBOARD_PROGRESS_ROWS

} SecKeyboardProgressRow;

// ========================================================================= //

typedef enum enSecKeyboardFlexibleRow
{
    kSecKeyboardFlexibleVFV = 0,
    kSecKeyboardFlexibleVFV_WT,

    NUM_SEC_KEYBOARD_FLEXIBLE_ROWS

} SecKeyboardFlexibleRow;

// ========================================================================= //

typedef enum enSecFunkyFeedbackViewRow
{
    kSecFunkyFeedbackViewVFV_WT = 0,

    NUM_SEC_FUNKY_FEEDBACK_VIEW_ROWS

} SecFunkyFeedbackViewRow;

// ========================================================================= //
